%global _module_build 1

%if 0%{?_module_build}
%bcond_with documentation
%else
%bcond_without documentation
%endif

Name:     nasm
Version:  2.16.03
Release:  1
Summary:  The Netwide Assembler, a portable x86 assembler with Intel-like syntax
License:  BSD-2-Clause
URL:      http://www.nasm.us
Source0:  http://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.xz
Source1:  http://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}-xdoc.tar.xz

Patch6000: enable-make-check.patch
Patch6001: fix-help-info-error.patch 

BuildRequires: perl(Env) autoconf asciidoc xmlto gcc make git automake
Obsoletes: nasm-rdoff < 2.16.01-1

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax. It also provides tools in RDOFF binary
format, includes linker, library manager, loader, and information dump.

%package help
Summary: Help files for NASM
%if %{with documentation}
BuildRequires: perl(Font::TTF::Font) perl(File::Spec)
BuildRequires: perl(Sort::Versions) perl(sort)
BuildRequires: adobe-source-sans-pro-fonts adobe-source-code-pro-fonts
BuildRequires: ghostscript
Provides:  %{name}-doc
Obsoletes: %{name}-doc
%endif
BuildArch: noarch

%description help
Help files for %{name}, includes documentation in HTML, PDF, PostScript,
and text formats.

%prep
%autosetup -n %{name}-%{version} -p1
tar xJf %{SOURCE1} --strip-components 1

%build
%configure
%if %{with documentation}
%make everything
gzip -9f doc/nasmdoc.{ps,txt}
%else
make all %{?_smp_mflags}
%endif

%install
%make_install

%check
make golden
make test

%files
%doc CHANGES README.md
%license AUTHORS LICENSE
%{_bindir}/nasm
%{_bindir}/ndisasm

%files help
%if %{with documentation}
%doc doc/html doc/nasmdoc.txt.gz doc/nasmdoc.ps.gz doc/nasmdoc.pdf
%endif
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%changelog
* Thu Aug 08 2024 yuanlipeng <yuanlipeng2@huawei.com> - 2.16.03-1
- Update package to version 2.16.03

* Thu May 18 2023 liyanan <thistleslyn@163.com> - 2.16.01-1
- update to 2.16.01

* Wed Apr 12 2023 yaoxin <yao_xin001@hoperun.com> - 2.15.05-5
- Fix CVE-2022-44370

* Thu Jan 19 2023 yangchenguang <yangchenguang@uniontech.com> - 2.15.05-4
- Fix help info error

* Wed May 11 2022 wulei <wulei80@h-partners.com> - 2.15.05-3
- License compliance rectification

* Sat Nov 27 2021 ExtinctFire <shenyining_00@126.com> - 2.15.05-2
- enable make check

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 2.15.05-1
- upgrade version to 2.15.05

* Thu Jan 07 2020 shixuantong <shixuantong@huawei.com> - 2.15.03-2
- fix CVE-2019-20352 CVE-2020-24241 

* Thu Jul 23 2020 shixuantong <shixuantong@huawei.com> - 2.15.03-1
- update to 2.15.03-1

* Tue Jun 9 2020 lizhenhua <lizhenhua21@huawei.com> - 2.13.03-6
- fix compile error

* Fri Mar 20 2020 shijian<shijian16@huawei.com> - 2.13.03-5
- fix CVE-2018-10254

* Mon Jan 13 2020 openEuler BuildTeam<buildteam@openeuler.org> - 2.13.03-4
- build without documentation

* Mon Dec 09 2019 openEuler BuildTeam<buildteam@openeuler.org> - 2.13.03-3
- Package Init
